<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
global $imgurl,$ForumUrl;
?>
<div class="mainbox">
		<div class="page_right">
		<div class="usersigned border">
			<ul>
			<h1 class="font14"><?=$lang['tpl.str2']?></h1>
			</ul>
<?
if(!empty($Forum_group['tophots'])){
	if(is_array($Forum_group['tophots'])){
		$ForumGroupArr= $Forum_group['tophots'];
		foreach($ForumGroupArr as $k => $arrdb){
			$_titlelength = $objenc->StrLength($arrdb['groupname']);
			if ( $_titlelength > 10){
				$arrdb['groupname'] = $objenc->SubString(strip_tags($arrdb['groupname']), 0, 8).'...';
			}
			//$arrdb['groupinfo']= strip_tags($arrdb['groupinfo']);
			$_infolength = $objenc->StrLength($arrdb['groupinfo']);
			if ( $_infolength > 10){
				$arrdb['groupinfo'] = $objenc->SubString($arrdb['groupinfo'], 0, 9).'...';
			}
?>
			<div class="nav_group">
				<ul>
				<li>
					<div><img src="<?=$arrdb['grouppic']?>" width="42" height="42" /></div>
					<a href="indivgroup_index.php?groupid=<?=$arrdb['groupid']?>"><?=$arrdb['groupname']?></a> (<?=$arrdb['postnum']?>)<br />
					<?=$arrdb['groupinfo']?><br />
					<?=$lang['tpl.str6']?><a target="_blank" href="dispuser.php?name=<?=$arrdb['appusername']?>"><?=$arrdb['appusername']?></a>
				</li>
				</ul>
			</div>
<?
		}
	}
}
?>
		</div>
	</div>
	<div class="page_left border">
		<h1 class="font14 leftcolor padding">
		<?=$lang['tpl.str40']?>
		</h1><br />
<?
		foreach($groups as $k => $arrdb){
?>
		<table width="98%">
		<tr>
			<td width="90" style="padding-left:15px;"><img src="<?=$arrdb['groupface']?>" width="80" height="80" /></td>
			<td valign="top">
			<b class="font14"><a href="indivgroup_index.php?groupid=<?=$arrdb['id']?>"><?=$arrdb['groupname']?></a></b><br />
			<?=$arrdb['groupinfo']?><br />
			<span><?=$lang['tpl.str41']?><?=$arrdb['appdate']?>　<?=$lang['tpl.str42']?><?=$arrdb['usernum']?></span><br />
			<a href="<?=$ForumUrl?>indivgroup_index.php?groupid=<?=$arrdb['id']?>"><?=$ForumUrl?>indivgroup_index.php?groupid=<?=$arrdb['id']?></a>　
			<a target="_blank" href="indivgroup_join.php?groupid=<?=$arrdb['id']?>"><?=$lang['tpl.str44']?></a></td>
		</tr>
		</table>
<?
		}
?>
		</table><hr /><br />
<?
//版面列表分页涵数显示
if ($groupnum > 0){
	$multipage = pagelist($groupnum,$board_settings[60],$page,"indivgroup_list.php",count($groups),1000,'keyword='.$keyword,'1');
?>
<div class="mainbox notice">
<?=$multipage;//分页显示?>
</div>
<?
}
?>
	</div>
	<div style="clear:both"></div>
</div>